Subject: Pthreads

From: [email-masked]
Date: Fri, 17 Jul 1998 19:40:42 +0200

Hi all,

for all those who don't get the CVS commit logs - I've fixed the problem
in the libc wrapper for the clone system call; kernel threads seem now
to be running almot perfect.

The only nit which I still observe is that for newly created threads the
stacks will be allocated from KSEG0 on downward.  When creating many
threads somewhen the address space for the stacks will collide with the
address space where libraries etc. are mmap(2)ed, resulting in a SIGSEGV.

This never seems to happen on Intel because there we have one 1gb more
of address space, so the process table will usually be filled (by default
1024 entries) before this collission happens.  Looks like a buglet in
pthreads which doesn't seem to be very critical for now, but which wants
to be researched.

There are some more libc things to be done and I'll provide an updated
libc asap.

  Ralf